export declare class SearchPanel {
    el: HTMLElement;
    dataKey: string;
    dataMode: string;
    categorize: boolean;
    placeholder: string;
    redirectUrl: string;
    query: string;
    searchResults: any;
    hideAllButtons: boolean;
    private searchInputElem;
    componentWillLoad(): void;
    fetchSearchResults(): Promise<void>;
    handleInput(event: Event): Promise<void>;
    handleFormSubmit(event: Event): Promise<void>;
    handleKeyDown: (event: KeyboardEvent) => void;
    render(): any;
}
